Skip to content

Approve Landing Page Template Draft

POST /rest/asset/v1/landingPageTemplate/{id}/approveDraft.json

Permissions Approve Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/landingPageTemplate/{id}/approveDraft.json
Tag: Landing Page Templates
Operation ID: approveLandingPageTemplateUsingPOST

Approves the current landing page template draft. This will delete the current approved version of the template if there is one. Required Permissions: Approve Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes id

Example request

POST {{base_url}}/rest/asset/v1/landingPageTemplate/{{id}}/approveDraft.json
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfLpTemplateResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "description": "string",
      "enableMunchkin": true,
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "id": 123,
      "name": "Example name",
      "status": "string",
      "templateType": "guided",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "workspace": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.